- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomain Class Reference

The in-memory representation of the <timeDomain> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomain:

[legend]
List of all members.

## Public Member Functions
| TimeDomain ()
| The TimeDomain class constructor.
| ~TimeDomain ()
| The TimeDomain class destructor.
| TimeDomain ()
| The TimeDomain class constructor.
| ~TimeDomain ()
| The TimeDomain class destructor.
## Public Attributes
TimeDomainStages * | stages
| stages is a pointer to a Stages object
TimeDomainInterval * | interval
| interval is a pointer to an Interval object
TimeDomainStages * | stages
| stages is a pointer to a Stages object
TimeDomainInterval * | interval
| interval is a pointer to an Interval object

## Detailed Description

The in-memory representation of the <timeDomain> element.

Definition at line 699 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomain::TimeDomain | ( |  | ) |

The TimeDomain class constructor.

Definition at line 907 of file OSInstance.cpp.

References interval, and stages.

TimeDomain::~TimeDomain | ( |  | ) |

The TimeDomain class destructor.

Definition at line 916 of file OSInstance.cpp.

References interval, and stages.

TimeDomain::TimeDomain | ( |  | ) |

The TimeDomain class constructor.

TimeDomain::~TimeDomain | ( |  | ) |

The TimeDomain class destructor.

## Member Data Documentation

TimeDomainStages* TimeDomain::stages

stages is a pointer to a Stages object

Definition at line 710 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainFormat(), OSInstance::getTimeDomainIntervalHorizon(), OSInstance::getTimeDomainIntervalStart(), OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNames(), OSInstance::getTimeDomainStageNumber(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageObjList(), OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomain(), OSInstance::setTimeDomainInterval(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), TimeDomain(), and ~TimeDomain().

TimeDomainInterval* TimeDomain::interval

interval is a pointer to an Interval object

Definition at line 714 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainFormat(), OSInstance::getTimeDomainIntervalHorizon(), OSInstance::getTimeDomainIntervalStart(), OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNames(), OSInstance::getTimeDomainStageNumber(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageObjList(), OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomain(), OSInstance::setTimeDomainInterval(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), TimeDomain(), and ~TimeDomain().

TimeDomainStages* TimeDomain::stages

stages is a pointer to a Stages object

Definition at line 652 of file OSInstance.h.

TimeDomainInterval* TimeDomain::interval

interval is a pointer to an Interval object

Definition at line 656 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp